using System;

namespace SourceCode.CustomActions
{
	public class Common
	{
		#region - Public Constants -
		public readonly static string DefaultRegEx = @"^[a-zA-Z0-9]*[a-zA-Z0-9\s`~!@#$%^&*\(\)\-_=+\[{\]};:'"",<.>\/?\\|]+$";
		#endregion

		#region - GetK2ConfigXML -
		public static string GetK2ConfigXML()
		{
			string retValue = "";
			System.IO.StreamReader SR = null;
			System.Web.HttpContext context = System.Web.HttpContext.Current;

			try
			{
				System.Web.HttpServerUtility Server = System.Web.HttpContext.Current.Server;
				SR = new System.IO.StreamReader(AppDomain.CurrentDomain.BaseDirectory + @"\Resources\K2Config.xml");

				retValue = SR.ReadToEnd();
			}
			catch (Exception ex)
			{
				throw new Exception("Failed to load K2Config.xml",ex);
			}
			finally
			{
				if(SR != null)
				{
					SR.Close();
				}
			}

			return retValue;
		}
		#endregion

		#region - GetK2Server -
		public static string GetK2Server
		{
			get
			{
				System.Xml.XmlDocument xDoc = new System.Xml.XmlDocument();
				xDoc.LoadXml(GetK2ConfigXML());

				return xDoc.SelectSingleNode("/Settings/K2Server").InnerText;
			}
		}

		#endregion

		public Common()
		{
		}
	}
}
