using System;
using System.Xml;
using System.Xml.Serialization;
using SourceCode.SharePointWorkflowServices2005.ConfigObject;

namespace SourceCode.CustomActions
{
	/// <summary>
	/// Represents the process that is selected as an action 
	/// which will be started once a K2.net Workflow Services
	/// process has been completed (approved/declined)
	/// </summary>
	[Serializable]
	public class ProcessDetails
	{
		[XmlElement]
		public string K2ServerName;
		[XmlElement]
		public int Port;
		[XmlElement]
		public string Folder;
		[XmlElement]
		public string Name;
		[XmlElement]
		public string FullName;

		public ProcessDetails()
		{}

		#region - GetProcess -
		public static ProcessDetails GetProcess(string xml)
		{
			return (ProcessDetails)getXMLHelper.DeSerializeData(new ProcessDetails(), xml, typeof(ProcessDetails));
		}
		#endregion

		#region - GetXML -
		public string GetXML()
		{
			return getXMLHelper.SerializeData(this, this.GetType());
		}
		#endregion
	}
}
